# BEGIN W3TC Minify cache
location ~ /wp-contspec/cache/minify.*\.js$ {
    types {}
    default_type application/x-javascript;
}
location ~ /wp-contspec/cache/minify.*\.css$ {
    types {}
    default_type text/css;
}
# END W3TC Minify cache
# BEGIN W3TC Page Cache cache
location ~ /wp-contspec/cache/page_enhanced.*html$ {
    add_header Vary Cookie;
}
# END W3TC Page Cache cache
# BEGIN W3TC Minify core
rewrite ^/wp-contspec/cache/minify.*/w3tc_rewrite_test$ /wp-contspec/plugins/w3-total-cache/pub/minify.php?w3tc_rewrite_test=1 last;
set $w3tc_enc "";
if (-f $request_filename$w3tc_enc) {
    rewrite (.*) $1$w3tc_enc break;
}
rewrite ^/wp-contspec/cache/minify/(.+/[X]+\.css)$ /wp-contspec/plugins/w3-total-cache/pub/minify.php?test_file=$1 last;
rewrite ^/wp-contspec/cache/minify/(.+\.(css|js))$ /wp-contspec/plugins/w3-total-cache/pub/minify.php?file=$1 last;
# END W3TC Minify core
# BEGIN W3TC Page Cache core
set $w3tc_rewrite 1;
if ($request_method = POST) {
    set $w3tc_rewrite 0;
}
if ($query_string != "") {
    set $w3tc_rewrite 0;
}
if ($request_uri !~ \/$) {
    set $w3tc_rewrite 0;
}
if ($http_cookie ~* "(comment_author|wp\-postpass|w3tc_logged_out|wordpress_logged_in|wptouch_switch_toggle)") {
    set $w3tc_rewrite 0;
}
if ($http_cookie ~* "(w3tc_preview)") {
    set $w3tc_rewrite _preview;
}
set $w3tc_ext "";
if (-f "$document_root/wp-contspec/cache/page_enhanced/$http_host/$request_uri/_index$w3tc_rewrite.html") {
    set $w3tc_ext .html;
}
if (-f "$document_root/wp-contspec/cache/page_enhanced/$http_host/$request_uri/_index$w3tc_rewrite.xml") {
    set $w3tc_ext .xml;
}
if ($w3tc_ext = "") {
  set $w3tc_rewrite 0;
}
if ($w3tc_rewrite = 1) {
    rewrite .* "/wp-contspec/cache/page_enhanced/$http_host/$request_uri/_index$w3tc_rewrite$w3tc_ext" last;
}
# END W3TC Page Cache core
